%Simulate L0 Defender vs. L0 Attacker and save the results
clear all;
close all;

%Call this first to be able to call functions from sub-directories
addpath(genpath(pwd));

%Must first call these scripts to set parameters and load matrices
ppack.params = Set_params();
ppack = Load_mats(ppack);

L0Defender.mode = 3;
L0Defender.thetaD = 0;

L0Attacker.mode = 3;
L0Attacker.thetaA = 0.07;

fprintf('\nSimulate L0 Defender vs L0 Attacker in continuous (does not exist)...')
L0Attacker.exist = 0;
[D0A0states, D0A0defRewards, D0A0attRewards] = Simulate ( L0Defender, L0Attacker, 1, ppack );

fprintf('\nSimulate L0 Defender vs L0 Attacker in continuous (exist)...')
L0Attacker.exist = 1;
[D0A0states, D0A0defRewards, D0A0attRewards] = Simulate ( L0Defender, L0Attacker, 1, ppack );

fprintf('\nSaving...');
filename = SaveDescription( SaveAllOpenPlots(), ppack );

fprintf('\nSimD0A0andSave Done!\n\n');