function R = Attacker_reward(B, params)
%Attacker's reward function
%Input: B = Bayes net time slice
%Output: R = reward
%global params;

[S,OD,OA,MD,MA,dX,m] = Slice_unpack(B);

if params.Att_gradualReward == 1
    R = Heaviside( S.V2/params.V0-(1+0.06) )*10 ...
        + Heaviside( (1-0.06)-S.V2/params.V0 )*10 ...
        + (Heaviside(S.V2/params.V0-(1+0.04)) - Heaviside(S.V2/params.V0-(1+0.06)) ...
        + Heaviside((1-0.04)-S.V2/params.V0) - Heaviside((1-0.06)-S.V2/params.V0))*2 ...
        + (Heaviside(S.V2/params.V0-(1+0.02)) - Heaviside(S.V2/params.V0-(1+0.04)) ...
        + Heaviside((1-0.02)-S.V2/params.V0) - Heaviside((1-0.04)-S.V2/params.V0));
    
    % This one uses 1.05 and 0.95 as the scoring threshold
    %     R =  Heaviside( S.V2/params.V0-(1+params.eps) )*10 ...
    %         + Heaviside( (1-params.eps)-S.V2/params.V0 )*10 ...
    %         + (Heaviside(S.V2/params.V0-(1+0.03)) - Heaviside(S.V2/params.V0-(1+params.eps)) ...
    %         + Heaviside((1-0.03)-S.V2/params.V0) - Heaviside((1-params.eps)-S.V2/params.V0))*3;
else
    R = Heaviside( S.V2/params.V0-(1+params.eps) ) ...
        + Heaviside( (1-params.eps)-S.V2/params.V0 );
end

end

function H = Heaviside( arg )
H = (arg >= 0 );
end