function S = Sample_S( S_prev, D_prev, A_prev, ppack )
%Sample the next S

    L = Sample_L( ppack );
    S.L = L;
    p2 = L(1);
    q2 = L(2);
    
    dX_prev = D_prev;
    q3 = A_prev.q3;
    x_prev = round((S_prev.V1-ppack.params.V0)*ppack.params.N/ppack.params.dV);   %invert equation to get x from V1
    x = x_prev + dX_prev;   %update based on defender's input
    x = min( x, ppack.params.N );   %saturator
    x = max( x, -ppack.params.N );
    
    %State equations
    P2 = -ppack.params.p3;
    Q2 = -q3;
    P1 = P2 + p2;
    Q1 = Q2 + q2;
    S.V1 = ppack.params.V0 + x * ppack.params.dV / ppack.params.N;
    S.V2 = S.V1 - (ppack.params.r1*P1 + ppack.params.x1*Q1)/ppack.params.V0;
    S.V3 = S.V2 - (ppack.params.r2*P2 + ppack.params.x2*Q2)/ppack.params.V0;
    
end

function L = Sample_L( ppack )
%Sample the next L
    
    %produces U(p2min, p2max)
    p2 = (ppack.params.p2max-ppack.params.p2min) * rand() + ppack.params.p2min;
    q2 = ppack.params.a * p2;
    
    L = [p2, q2]';
end