function [MDnew] = Sample_MD_d(MDprev, ODnew, Dindex_prev, CPTs, params)
% Sample defender's memory @ t
% Inputs: MD@t-1, OD@t, dXindex@t-1
% Output: MDnew

    MDnew.V1index = ODnew.V1index;  % V1 index @ t-1
    MDnew.V2index = ODnew.V2index;  % V2 index @ t-1
    MDnew.V3index = ODnew.V3index;  % V3 index @ t-1
    MDnew.Dindex_prev = Dindex_prev; % dX index @ t-1
    
    MDnew.V1index_prev = MDprev.V1index;  % V1 index @ t-1
    MDnew.V2index_prev = MDprev.V2index;  % V2 index @ t-1
    MDnew.V3index_prev = MDprev.V3index;  % V3 index @ t-1

    if ( params.mem.mode_Def == 1 )
        % Compute the statistic of defender @ t
        MDnew.SDindex = Weighted_sample(CPTs.statisticD(:, MDprev.SDindex,...
                      MDnew.V1index, MDnew.V1index_prev, ...
                        MDnew.V3index, MDnew.V3index_prev));
    elseif ( params.mem.mode_Def == 2 )
        % Deterministic memory rule for detecting Attacker existence
        % using V2, V3.
        sameBinDiff =  (MDnew.V3index-MDnew.V3index_prev) == (MDnew.V2index-MDnew.V2index_prev);
        if (sameBinDiff)
            MDnew.SDindex = MDprev.SDindex - 1;
        else
            MDnew.SDindex = MDprev.SDindex + 3;
        end
        MDnew.SDindex = max(MDnew.SDindex, 1);
        MDnew.SDindex = min(MDnew.SDindex, params.N_statisticD);
    else
        assert(false)
    end
    
    %MDnew.ED_prev = MDprev_ED;  % Remember previous region
    % Figure out what region we're currently in
    %MDnew.ED = 
    
    
end