function params = Set_params(params)
% global params;
% Set parameters here:
% They are shared globally with all functions
    
    % number of time steps
    params.nSimSteps = 100;
    % base voltage
    params.V0 = 1.0;
    % full range of adjustment at node 1
    params.dV = 0.1;
    % number of steps of adjustment at node 1
    params.N = 5;
    % circuit resistance and reactance
    params.r1 = 0.03;
    params.x1 = 0.03;
    params.r2 = 0.03;
    params.x2 = 0.03;
    % possibilities of defender's action dX
    params.dXset = [-1,0,1];
    % ratio of reactive to real at node 2
    params.a = 0.5;
    %acceptable fractional deviation of voltage 
    params.eps = 0.05;
    % range of stochastic load at node 2
    params.p2min = 1.35;
    params.p2max = 1.50;
    % increments for p2
    params.dp2 = 0.05;
    % limit on +-q at node 3
    params.p3max = 0.8;
    % increments for q3
    params.dq3 = 0.3;
    % number of steps between -q_max and q_max at node 3
    params.M = 5;
    % actual real generation at node 3
    params.p3 = 1.0;
    % Memory decay rate
    params.mem.gamma_Att = 0.95; % Attacker
    params.mem.gamma_Def = 0.95; % Defender
    % Defender memory rule
    params.mem.mode_Def = 2; % 1=V1,V3; 2=V2,V3
    % Player behavior
    params.policy_mode = 4;
    params.L0Att_mode = 3;
    params.L0Def_mode = 3;
    % Numbers of bins for statisticD and statisticA
    params.N_statisticD = 11;
    params.N_statisticA = 11;
    % Type of players
    params.player_type = 2;  % 1 = continuous, 2 = discrete
    % probability of attacker's existence
    params.ProbAttExist = 0.5;
    % Gradual or bit reward. 1 for gradual, 2 for bit
    params.Att_gradualReward = 1;
    % V2nV3 bin boundaries. 1=normal, 2=equally-space & extended
    params.V2n3binConfig = 2; 
    % Route defender's memory into D0. 1=Don't route, 2=route
    params.routeSD2D0 = 2;
    % Event driven or not? 1 = Event Driven, 2 = NOT
    params.event = 2;