function wout = FitQ_linear( w0, samples, nIters, gamma, U )
%wout = FitQ_linear( w0, samples, nIters, gamma, U )
%initial weights w0
%state transitions samples
%number of iterations nIters
%discount factor gamma
%vector of all possible (discrete) actions U

w = w0;

% Prep the input matrix
v = [samples{1}.x; samples{1}.u];
f = FQI_GetFeatures(v);
inputs = zeros(length(samples),length(f));

for sm = 1:length(samples)-1
    %Assemble input matrix from x, u for each sample
    cur = samples{sm};
    v = [cur.x; cur.u];
    inputs(sm,:) = [FQI_GetFeatures(v)]';
end

for ni = 1:nIters
    %Prep the target matrix
    Qtargets = zeros(length(samples),1);
    for sm = 1:length(samples)-1        
        %Figure out Qtargets from x', u', r, W for each sample
        cur = samples{sm};
        Qtargets(sm) = cur.r + gamma*FitQLin_GetQmax(w, cur.xp, U);
    end
    
    %Linear least squares fit
    w = inputs\Qtargets;
    %[w,status] = l1_ls(inputs,Qtargets,0.5);
    %w = pinv(inputs)*Qtargets;
end

wout = w;

end

