function v = Schedule_3_seg( N, start_val, end_val )
%Creates a 3-segment schedule vector
%First third is at start_val, last third is at end_val
%second third is linear and connects the first and last thirds

pt0=round(N/2);
pt1=round(N/3);
pt2=round(2*N/3);

v = [start_val*ones(1,pt0), end_val*ones(1,pt0)];
v(pt1:pt2) = linspace(start_val,end_val,pt2-pt1+1);

end