function UpdateEnv( params )

if ( ~exist('params'))
   params = Set_params(); 
end

%Call this first to be able to call functions from sub-directories
fprintf('\nRemoving temporary files...');

fs = filesep;
outdir = fullfile('Discrete', 'GenerateEnv', 'Output');
loaddir = fullfile('Discrete', 'Load');

if ispc
    % Delete files from Output directory
    system(['del ' outdir fs 'CPTs.mat']);
    system(['del ' outdir fs 'BinsOrSet.mat']);
    system(['del ' outdir fs 'ER.mat']);

    % Delete files from Load directory
    system(['del ' loaddir fs 'CPTs.mat']);
    system(['del ' loaddir fs 'BinsOrSet.mat']);
    system(['del ' loaddir fs 'ER.mat']);
elseif isunix
    % Delete files from Output directory
    system(['rm  ' outdir fs 'CPTs.mat']);
    system(['rm ' outdir fs 'BinsOrSet.mat']);
    system(['rm ' outdir fs 'ER.mat']);

    % Delete files from Load directory
    system(['rm ' loaddir fs 'CPTs.mat']);
    system(['rm ' loaddir fs 'BinsOrSet.mat']);
    system(['rm ' loaddir fs 'ER.mat']);
else
    fprintf('\nError: Operating system not supported. Please copy files manually.\n');
    assert(0);
end

fprintf('\nGenerating environment...');
tic
GenerateEnv( params );
toc

fprintf('\nCopying files...');
if ispc
    % Copy files from Output to Load directory
    system(['copy ' outdir fs 'CPTs.mat ' loaddir]);
    system(['copy ' outdir fs 'BinsOrSet.mat ' loaddir]);
    system(['copy ' outdir fs 'ER.mat ' loaddir]);
elseif isunix
    % Copy files from Output to Load directory
    system(['cp ' outdir fs 'CPTs.mat ' loaddir]);
    system(['cp ' outdir fs 'BinsOrSet.mat ' loaddir]);
    system(['cp ' outdir fs 'ER.mat ' loaddir]);
else
    fprintf('\nError: Operating system not supported. Please copy files manually.\n');
    assert(0);
end
    
fprintf('\nUpdateEnv Done!\n\n');