%Wrapper class for memories

classdef Memory
    properties (SetAccess = private)
        sampleFcn;
        initFcn;
    end % properties
    
   methods
        % Constructor
        function MEM = Memory( initFcn, sampleFcn )
            MEM.initFcn = initFcn;
            MEM.sampleFcn = sampleFcn;
        end % Constructor
        
        % Initialize memory
        function mem = Init(MEM, params)
            mem = feval(MEM.initFcn, params);
        end
        
        % Sample memory
        function mem = Sample(MEM, PGS, mem_prev, move_prev, params)
            mem = feval(MEM.sampleFcn, PGS, mem_prev, move_prev, params);
        end
        
   end % methods 
end % classdef
    