function m = Scott_Att( Attacker, MemA, params )
%Simulate the attacker's policy
%Inputs:    Attacker = attacker
%           MA = attacker's memory
%Output:    mnew = Attacker's move

V0 = params.V0;
V2 = MemA.V2;
mset = Attacker.GetMoveSet();
[mstar,Vstar] = Find_star(MemA, mset, params);

props = Attacker.GetProperties();

if Vstar > props.thetaA
    m = mstar;
    %fprintf('\nStrike!');
else
    %MemA.AttMove_prev
    %sign(V2-V0)
    m = MemA.AttMove_prev + sign(V2-V0);
    %fprintf('\nDrift...');
end

m = min( m, (length(mset)-1)/2 );
m = max( m, -(length(mset)-1)/2 );
    
end


function [mstar,Vstar] = Find_star( MemA, mset, params )
%Find the star quantities as in Scott's writeup
V0 = params.V0;
x2 = params.x2;
M = params.M;
q3max = params.p3max;

V2 = MemA.V2;

arg = abs(V2+(mset-MemA.AttMove_prev)*q3max*x2/M/V0-V0);
[~,ind] = max(arg);
mstar = mset(ind);
Vstar = abs(max(arg));

end