function params = Set_params(params)

%$$Modified by Yildiray Yildiz on 09/25/12
% added: "Below parameters are used for discretiziation of the memories"

% number of time steps
params.nSimSteps = 50;
% base voltage
params.V0 = 1.0;
% full range of adjustment at node 1
params.dV = 0.1;
% number of steps of adjustment at node 1
params.N = 5;
% circuit resistance and reactance
params.x2 = 0.03;
% possibilities of defender's action dX
params.dXset = [-1,0,1];
% range of stochastic load at node 2
params.p2min = 1.35;
params.p2max = 1.5;
% ratio of reactive to real at node 2
params.a = 0.5;
%acceptable fractional deviation of voltage
params.eps = 0.05;
% actual real generation at node 3
params.p3 = 1.0;  %3.0 was set by ritchie
% limit on +-q at node 3
params.p3max = 1.5; %3.0 was set by ritchie
% number of steps between 0 and q_max at node 3
params.M = 5;
% Defender's memory statistic formula
params.SampleMD_mode = 2;   % 1=V1,V3; 2=V2,V3
% Defender's memory statistic decay rate for mode 1
params.SampleMD_gamma = 0.8;
% Defender's memory statistic mode 2 V2-V3 tolerance
params.SampleMD_binTol = 0.001;
% Defender's memory statistic number of bins
params.SampleMD_NstatD = 11;
% Attacker's memory statistic decay rate
params.SampleMA_gamma = 0.8;
% Scott's policy parameters
params.thetaD = 0.0;
params.thetaA = 0.15;
% Probability of attacker's existence
params.ProbAttExist = 1;

%$$ Below parameters are used for discretiziation of the memories
% V2nV3 bin boundaries. 1=normal, 2=equally-space & extended
% i.e. 1: [-inf, 0.95, 0.97, 1.03, 1.05, inf];
%      2: [-inf, linspace(0.94,1.06,7), inf];
params.V2n3binConfig = 2;
% increments for p2
params.dp2 = 0.05;
% Defender's memory statistic number of bins
params.SampleMA_NstatA = 11; %this was not defined above since originally
                             %a cont. att stat we being used. 
end