%$Modified by Yildiray Yildiz on 09/27/12
% modified the "DefMove_prev" input as a cell array
%and modified the output vector accordingly


function MemD = Sample_MD( PGS, MemD_prev, DefMove_prev, params )
    mode = params.SampleMD_mode;   
    gamma = params.SampleMD_gamma;
    binTol = params.SampleMD_binTol;
    N_statD = params.SampleMD_NstatD;

    MemD.DefMove_prev = DefMove_prev;
    MemD.V1 = PGS.getAttribute(1, PowerGridSystem.VOLTAGE_MAGNITUDE);
    MemD.V2 = PGS.getAttribute(2, PowerGridSystem.VOLTAGE_MAGNITUDE);
    MemD.V3 = PGS.getAttribute(3, PowerGridSystem.VOLTAGE_MAGNITUDE);
    
    if( mode == 1 )
        % Compute the statistic of defender @ t
        MemD.StatD = gamma * MemD_prev.StatD...
                    + sign(MemD.V1-MemD_prev.V1).*sign(MemD.V3-MemD_prev.V3);
    elseif ( mode == 2 )
        sameBinDiff = abs((MemD.V3-MemD_prev.V3)-(MemD.V2-MemD_prev.V2)) < binTol;
        if (sameBinDiff)
            MemD.StatD = MemD_prev.StatD - 1;
        else
            MemD.StatD = MemD_prev.StatD + 3;
        end
        MemD.StatD = max(MemD.StatD, 1);
        MemD.StatD = min(MemD.StatD, N_statD);    
    end
    
    % Vec is passed for use by player
    MemD.vec = [MemD.V1; MemD.V2; MemD.V3; MemD.StatD; ...
        MemD.DefMove_prev{1}; MemD.DefMove_prev{2}];
end