%$Modified by Yildiray Yildiz on 09/27/12
% -modified the output m as a cell array
% -added m{2} = 0; to include the second action node.
% -commented out the lines that belonged to earlier one dimensional
% calculations to eliminate error messages and assigned arbitrary
% values to m{1}, m{2}, "mstar" and "arg"

function m = Scott_Att( Attacker, MemA, params )
%Simulate the attacker's policy
%Inputs:    Attacker = attacker
%           MA = attacker's memory
%Output:    mnew = Attacker's move

V0 = params.V0;
V2 = MemA.V2;
mset = Attacker.GetMoveSet();
[mstar,Vstar] = Find_star(MemA, mset, params);

props = Attacker.GetProperties();

if Vstar > props.thetaA
    m{1} = mstar;
    %fprintf('\nStrike!');
else
    %MemA.AttMove_prev
    %sign(V2-V0)
    m{1} = MemA.AttMove_prev{1} + sign(V2-V0);
    %fprintf('\nDrift...');
end

m{1} = min( m{1}, (length(mset)-1)/2 );
m{1} = max( m{1}, -(length(mset)-1)/2 );

m{1} = 1;
m{2} = 0;
    
end


function [mstar,Vstar] = Find_star( MemA, mset, params )
%Find the star quantities as in Scott's writeup
V0 = params.V0;
x2 = params.x2;
M = params.M;
q3max = params.p3max;

V2 = MemA.V2;

%arg = abs(V2+(mset-MemA.AttMove_prev)*q3max*x2/M/V0-V0);
%[~,ind] = max(arg);
%mstar = mset(ind);
arg=0;
mstar = 0;
Vstar = abs(max(arg));

end