function netOut = FitQ_NN( net0, samples, nIters, gamma, U, makeplot )
%wout = FitQ_linear( w0, samples, nIters, gamma, U )
%initial weights w0
%state transitions samples
%number of iterations nIters
%discount factor gamma
%vector of all possible (discrete) actions U

net = net0;

% Prep the input matrix
v = [samples{1}.x; samples{1}.u];
inputs = zeros(length(v),length(samples));

for sm = 1:length(samples)
    %Assemble input matrix from x, u for each sample
    cur = samples{sm};
    inputs(:,sm) = [cur.x; cur.u];
end

for ni = 1:nIters
    %Prep the target matrix
    Qtargets = zeros(length(samples),1);
    for sm = 1:length(samples)        
        %Figure out Qtargets from x', u', r, W for each sample
        cur = samples{sm};
        Qtargets(sm) = cur.r + gamma*FitQNN_GetQmax(net, cur.xp, U);
    end
    
    % Neural network regression
    net = train(net, inputs, Qtargets');
    
    if ( exist('makeplot') && makeplot )
        wtrack{ni} = net.LW{2}';
    end
end

netOut = net;

if ( exist('makeplot') && makeplot )
    figure;
    %cell2mat(wtrack)
    plot( 1:nIters, cell2mat(wtrack)' );
    xlabel('Iteration');
    ylabel('Weights');
    title('Learning Weights');
end

end

