
// *************************************************************************
//	LibNFG: Net-form game library
//
//	Author:		Ritchie Lee
//
//  Copyright 2011 United States Government as represented by the Administrator 
//  of the National Aeronautics and Space Administration.  All Rights Reserved.  
//  Licensed under the Apache License, Version 2.0 (the "License"); you may not 
//  use this file except in compliance with the License.  You may obtain a copy 
//  of the License at http://www.apache.org/licenses/LICENSE-2.0
//  Unless required by applicable law or agreed to in writing, software 
//  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT 
//  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the 
//  License for the specific language governing permissions and limitations 
//  under the License.
//
//	Revision Log
//
//	Username	Date		Description
//	-------------------------------------------------------
//	rlee		20110907	Created
//
// *************************************************************************

#ifndef INCLUDED_ALG_LEVELKRL_H
#define INCLUDED_ALG_LEVELKRL_H

#include "ibayesnet.h"

class alg_LevelKRL
{
public:

	/**	Constructor */
	alg_LevelKRL( void );

	/**	Destructor */
	virtual ~ alg_LevelKRL( void );

	/// Variables

	///	Methods
	/**
	 * Description: TODO
	 */
	nfg_Episode Simulate( IBayesNet& ibnet );

private:

	/// Variables

	/// Methods
	/**
	 * Description: TODO
	 */
	nfg_Slice Sample_slice( IBayesNet& ibnet, const nfg_Slice& sliceT );
	nfg_Vecs Get_interconnect_parents( const nfg_OptInst& optInst, const nfg_Vertex& v );
	nfg_Vecs Get_inslice_parents( IBayesNet& ibnet, const nfg_OptInst& optInst, 
									const nfg_Vertex& v );

};

#endif

