
// *************************************************************************
//	LibNFG: Net-form game library
//
//	Author:		Ritchie Lee
//
//  Copyright 2011 United States Government as represented by the Administrator 
//  of the National Aeronautics and Space Administration.  All Rights Reserved.  
//  Licensed under the Apache License, Version 2.0 (the "License"); you may not 
//  use this file except in compliance with the License.  You may obtain a copy 
//  of the License at http://www.apache.org/licenses/LICENSE-2.0
//  Unless required by applicable law or agreed to in writing, software 
//  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT 
//  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the 
//  License for the specific language governing permissions and limitations 
//  under the License.
//
//	Revision Log
//
//	Username	Date		Description
//	-------------------------------------------------------
//	rlee		20120914	Created
//
// *************************************************************************

#include "iplayer.h"

#include <string>
#include <algorithm>
#include <iostream>

using namespace nfg;

// *************************************************************************
// *************************************************************************
IPlayer::IPlayer( const nfg_UtilFunc& fo_Get_util_base, 
					const nfg_UtilFunc& fo_Get_util_kernel, const string name )
{
	// Set utility function
	m_fo_Get_util_base			= fo_Get_util_base;
	m_fo_Get_util_kernel		= fo_Get_util_kernel;

	// Set IPlayer name
	m_name					= name;
	
}
// *************************************************************************
// *************************************************************************
IPlayer::~IPlayer ( void )
{
}
// *************************************************************************
// *************************************************************************
nfg_UtilFunc&	IPlayer::Get_fo_of_Get_util_base ( void )
{
	// function object to utility function
	return m_fo_Get_util_base;
}
// *************************************************************************
// *************************************************************************
nfg_UtilFunc&	IPlayer::Get_fo_of_Get_util_kernel ( void )
{
	// function object to utility function
	return m_fo_Get_util_kernel;
}
// *************************************************************************
// *************************************************************************
void	IPlayer::Set_policy ( nfg_SampleFunc fo_policy )
{
	// function object to player policy
	m_fo_policy = fo_policy;

	return;
}


